| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.SmartStepManager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.SmartStepManager:

## Public Member Functions
| __init__ (self, board=None)
| GetManagedDeviceMask (self)
| SetManagedDeviceMask (self, state)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| mngDeviceMsk
| name

## Detailed Description

    Smart step manager is a system in charge of managing lens devices with has the smart step feature applicable.
    system ID: 0x3A

    Register Map:
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id             | Type         | Unit     | Range        | Default       | Comment            |
    +=====================+================+==============+==========+==============+===============+====================+
    | mngDeviceMsk        | 0x00           | uint  32-bit | n/a      | <0,15>       |               | read/write         |
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.SmartStepManager.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetManagedDeviceMask()

optoICC.registers.icc_registers.SmartStepManager.GetManagedDeviceMask | ( |  | self | ) |

## ◆ help()

optoICC.registers.icc_registers.SmartStepManager.help | ( |  | ) |
| static

## ◆ SetManagedDeviceMask()

optoICC.registers.icc_registers.SmartStepManager.SetManagedDeviceMask | ( |  | self,
|  |  | state )

## Member Data Documentation

## ◆ mngDeviceMsk

optoICC.registers.icc_registers.SmartStepManager.mngDeviceMsk

## ◆ name

optoICC.registers.icc_registers.SmartStepManager.name

## ◆ sys_id

optoICC.registers.icc_registers.SmartStepManager.sys_id

The documentation for this class was generated from the following file:

- C:/git/145-713-00_optoICC/src/main/python/optoICC/registers/icc_registers.py